Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
counterPartyId
string
required

Public ID of the counter party (prefixed with cpty_)

Body

application/json

External wallet details. The address must be valid for the specified chain.

External wallet details. The address must be a valid address for the specified chain.

address
string
required

On-chain address of the external wallet.

Example:

"0x9876543210fedcba9876543210fedcba98765432"

chain
enum<string>
required
Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
BSC,
FLOW_EVM,
CANTON,
TRON
Example:

"POLYGON"

name
string
required

Human-readable name for the external wallet.

Example:

"Treasury cold wallet"

referenceId
string
required

Client-supplied idempotency/reference identifier.

Example:

"my-ref-001"

Response

External wallet added successfully.

An external (client-owned) wallet registered against a counter party.

id
string

Public ID of the external wallet (prefixed with extw_).

Example:

"extw_4mNpXwZ7bV1aLcs3Kf9dQ"

userId
string

Public ID of the user this external wallet belongs to (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

counterPartyId
string

Public ID of the counter party this external wallet belongs to (prefixed with cpty_).

Example:

"cpty_7bV1aLcs3Kf9dQ2mNpXwZ"

chain
enum<string>
Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
BSC,
FLOW_EVM,
CANTON,
TRON
Example:

"POLYGON"

name
string

Human-readable name for the external wallet.

Example:

"Treasury cold wallet"

address
string

On-chain address of the external wallet.

Example:

"0x9876543210fedcba9876543210fedcba98765432"

referenceId
string

Client-supplied idempotency/reference identifier.

Example:

"my-ref-001"

active
boolean

Whether the external wallet is active.

Example:

true

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"